@echo off
call setenv.bat
if x%1x==xx goto showusage
if x%2x==xx goto showusage
if x%3x==xx goto showusage

if not exist %WCLOGDIR%\migration mkdir %WCLOGDIR%\migration

set database=%1
set user=%2
set password=%3
set schema=%WCS_HOME%\schema
set log=%WCLOGDIR%\migration\migrateDN.log
set doDN=com.ibm.commerce.migration.tool.migrateDN

set jvmheapsz=128m
if not x%4x == xx set jvmheapsz=%4

call setdbenv.db2.bat
set CPM=%WCS_HOME%\properties;%WCS_HOME%\lib\wcsmigration.jar;%CP%
cd %WCS_HOME%\schema
echo populating Orgentity DN ...
echo -----------------------------------------------
echo off | more
db2 connect to %database% user %user% using %password% >> %log%
db2 -tvf %schema%\fillorgDN.sql >> %log%
echo off | more
echo populating users DN ...
echo ------------------------

REM %JAVA_HOME%\bin\java -classpath %CPM% %doDN% %database%  %user% %password% >> %log% 
echo %JAVA_HOME%\bin\java -Xmx%jvmheapsz% -classpath %CPM% %doDN% %database%  %user% %password% >> %log% 2>&1
%JAVA_HOME%\bin\java -Xmx%jvmheapsz% -classpath %CPM% %doDN% %database%  %user% %password% >> %log% 2>&1

echo off | more
echo "Populating orgentity and user DN completed. Please check migrateDN.log."
cd %WCLOGDIR%\migration
goto end

:showusage
echo Usage:
echo ------
echo off | more
echo migrateDN.db2.bat (dbname) (userId) (password) [jvmheapsz]
:end
 