@echo off
call setenv.bat

if x%1x==xx goto showusage
if x%2x==xx goto showusage
if x%3x==xx goto showusage
if x%4x==xx goto showusage
if x%5x==xx goto showusage
if x%6x==xx goto showusage


if x%6x==xatpx goto oktest
if x%6x==xnoatpx goto oktest
goto showusage

:oktest
if not exist %WCLOGDIR%\migration mkdir %WCLOGDIR%\migration



set dbType=%1
set database=%2
set user=%3
set password=%4
set backupdir=%5
set noatp=%6
set jvmheapsz=128m

if /i x%1x==xdb2x goto start
set hostname=%7
set port=%8
set schemaowner=%9
shift
if not x%9x==xx set jvmheapsz=%9
goto start




:start

set schema=%WCS_HOME%\schema
set log=%WCLOGDIR%\migration\migrate.log
call setdbenv.%dbType%.bat
set CPM=%WCS_HOME%\properties;%WCS_HOME%\lib\xml4j.jar;%WCS_HOME%\lib\wcsmigration.jar;%CP%
set migrategen=com.ibm.commerce.migration.tool.MigrateDBGen
cd %WCS_HOME%\bin
%JAVA_HOME%\bin\java -classpath %CPM% %migrategen% %dbType% %database% %user% %password% %hostname% %port% >> %log% 2>&1
echo migratedb.%dbType%.bat is generated.

if /i x%dbType%x==xdb2x  goto dbpath
if /i x%noatp%x==xnoatpx goto noatp1
echo oracle database type
call migratedb.%dbType%.bat %database% %user% %password% %hostname% %port% %backupdir% %schemaowner% atp %jvmheapsz% >> %log% 2>&1
goto end

:noatp1
echo noatp
call migratedb.%dbType%.bat %database% %user% %password% %hostname% %port% %backupdir%  %schemaowner% %noatp% %jvmheapsz% >> %log% 2>&1
goto end

:dbpath
echo db2 database type
if /i x%7x==xx goto showusage
if /i x%8x==xx goto showusage
if /i x%9x==xx goto showusage
set dbinstall=%7
set dbinsthome=%8
set schemaowner=%9
shift
if not x%9x==xx set jvmheapsz=%9
db2updv7 -d %database% -u %user% -p %password% -n
db2 terminate  
db2 connect to %database% user %user% using %password%
db2 bind "%dbinstall%\bnd\@db2ubind.lst" GRANT PUBLIC 
db2 bind "%dbinsthome%\bnd\@db2cli.lst"   GRANT PUBLIC 
db2 terminate 

if x%noatp%x==xnoatpx goto noatp
echo atp
call migratedb.%dbType%.bat %database% %user% %password% %backupdir% %schemaowner% atp %jvmheapsz% >> %log% 2>&1
goto end

:noatp
echo noatp
call migratedb.%dbType%.bat %database% %user% %password% %backupdir%  %schemaowner% noatp %jvmheapsz% >> %log% 2>&1
goto end



:showusage
echo Usage:
echo ------
echo off | more
echo migratedb.bat db2/oracle dbname userId password backupdir noatp/atp [db2install db2insthome] [hostname port] schemaowner (jvmheapsz)
echo db2install, db2insthome is for db2
echo hostname, port is for oracle
echo for db2 with atp feature
echo migratedb.bat db2 mall build ibm e:\backup atp   e:\WebSphere\sqllib  e:\WebSphere\sqllib  schemaowner
echo for oracle with inventory compatibility mode and the database server
echo migratedb.bat oracle mall build ibm e:\backup noatp hostname port  schemaowner
echo off | more
echo Note that the noatp/atp option is only applicable when you migrate from 5.1.0.1.
echo When you migrate from other releases, we do not allow the inventory compatibility mode to be turned on or off.
echo The atp/noatp option will actually be ignored whether you enter atp or noatp.
echo jvmheapsz is optional. The default value is 128m


:end
cd %WCLOGDIR%\migration
echo  Migration is completed, please look at the migratedb.log

