@echo off
echo IBM WebSphere Commerce Version 5.4 Fix uninstall for Windows, APAR IY46716 (WAS)

echo Enter the directory where the IBM WebSpere Application Server(WAS) is installed
GetInput WAS_HOME "For example, C:\Program Files\WebSphere\AppServer " ~washome.bat
call ~washome.bat
del ~washome.bat

echo Enter the directory where your Application is installed in the InstalledApps directory
GetInput APP_HOME "For example, WC_Enterprise_App_demo.ear " ~apphome.bat
call ~apphome.bat
del ~apphome.bat

set BACKUPJARFILENAME="%APP_HOME%"_backup.jar
set UNINSTALLLOGFILENAME=uninstall"%APP_HOME%".log
echo IBM WebSphere Commerce Version 5.4 Fix uninstall for Windows, APAR IY46716 (WAS) > %UNINSTALLLOGFILENAME% 2>&1

:verify_was_home
echo The WAS_HOME is %WAS_HOME%
IF NOT EXIST "%WAS_HOME%"\properties\com\ibm\websphere\product.xml   goto bad_was_home

:verify_app_home
IF NOT EXIST "%WAS_HOME%\installedApps\%APP_HOME%" goto bad_app_home

:start
IF NOT EXIST %BACKUPJARFILENAME% goto missing_backup
IF NOT EXIST %UNINSTALLLOGFILENAME% goto missing_log

"%WAS_HOME%\java\bin\java" -jar %BACKUPJARFILENAME% -logfile %UNINSTALLLOGFILENAME%

goto end

:bad_was_home
echo.
echo Can not locate %WAS_HOME%\properties\com\ibm\websphere\product.xml
echo Please specify the correct WAS_HOME directory and rerun this script.
echo.
goto end

:missing_backup
echo.
echo Can not locate the files: %BACKUPJARFILENAME%
echo Please ensure you are in the backup directory before starting uninstall.
echo.
goto end

:missing_log
echo.
echo Can not locate the files: %UNINSTALLLOGFILENAME%
echo Please ensure you are in the backup directory before starting uninstall.
echo.
goto end

:bad_app_home
echo.
echo Missing %APP_HOME% directory
echo Please specify the correct APP_HOME directory and rerun this script.
echo Missing %WAS_HOME%\installedApps\%APP_HOME% directory >> %LOGFILENAME% 2>&1
echo.
goto end

:end
echo Uninstalling Fix complete (WAS).